﻿<%@ page title="" language="C#" masterpagefile="~/Admin/Master/AdminMasterPage.master" autoeventwireup="true" inherits="Admin_Pages_ImportCategory, App_Web_4314t4wn" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadPlaceHolder" runat="Server">
    <title>Import Category</title>
    <script type="text/javascript">
        $(document).ready(function () {
            try {
                if ($("#ErrorMessage").text().toString().trim() != "") {
                    $("#ErrorMessage").show();
                    setTimeout(
                        function () {
                            $("#ErrorMessage").text("");
                            $("#ErrorMessage").hide();
                        }, 5000);
                }

                $("#btnDeleteErrorLogFile").click(function () {
                    try {
                        var FilePath = $(this).attr("FileName").toString().trim();
                        if (FilePath != "") {
                            DeleteErrorLogFile(FilePath);
                        }
                        else {
                            $("#ErrorLogMessageDiv").hide();
                            $("#ErrorLogMessageDiv").find("#ErrorLogMessage").text("");
                            $("#ErrorLogMessageDiv").find("#btnDeleteErrorLogFile").attr("FileName", "");
                        }
                    } catch (e) {
                    }
                });
            } catch (e) {

            }
        });

        function DeleteErrorLogFile(FilePath)
        {
            try {
                $.ajax({
                    async: true,
                    type: "POST",
                    url: "/Admin/Pages/ImportCategory.aspx/DeleteErrorLogFile",
                    contentType: "application/json; charset=utf-8",
                    data: JSON.stringify({
                        "FilePath": FilePath
                    }),
                    dataType: "json",
                    success: function (data) {
                        if (data != "") {
                            if (data.d != "") {
                                if (data.d == "-1")
                                {
                                    location.href = "/Admin/Pages/Login.aspx";
                                }
                                else if (data.d == "1")
                                {
                                    $("#ErrorLogMessageDiv").hide();
                                    $("#ErrorLogMessageDiv").find("#ErrorLogMessage").text("");
                                    $("#ErrorLogMessageDiv").find("#btnDeleteErrorLogFile").attr("FileName","");

                                }
                            }
                        }
                    },
                    error: function (data) {
                    }
                });
            } catch (e) {
            }
        }
    </script>
    <style>
        .btn-custom {
            color: #FFFFFF;
            display: inline-block;
            font-size: 14px;
            padding: 5px 10px;
            text-align: center;
            text-transform: capitalize;
            cursor: pointer;
            border: 1px solid #fff;
            background-color: #040404 !important;
            text-decoration: none;
        }

        .error-msg {
            padding: 5px;
            color: #959595;
            font-size: 14px;
            text-shadow: none !important;
        }

        .success-msg {
            padding: 5px;
            color: #019E5A;
            font-size: 14px;
        }

        table th {
            text-align: left;
            background-color: #040404;
            color: #FFFFFF;
            font-size: 14px;
            font-weight: normal;
            padding: 5px;
        }

        table td {
            padding: 5px;
            background-color: #F7F7F7 !important;
        }
    </style>
</asp:Content>


<asp:Content ID="Content2" ContentPlaceHolderID="HeaderPlaceHolder" runat="Server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <div class="page-body row-fluid">
        <div class="span12" style="padding: 10px; position: relative">
            <div id="ErrorLogMessageDiv" runat="server" clientidmode="static" class="span12" style="background-color: #FBBC05;line-height:30px;display:none;margin-bottom:10px;">
                <div>
                    <div style="float: left;margin-left:10px;"><a id="ErrorLogMessage" runat="server" clientidmode="static" target="_blank" onclientclick="return false;" class="error-msg" style="text-decoration:underline;"></a></div>
                    <div style="float: right;margin-right:10px;"><a id="btnDeleteErrorLogFile" runat="server" clientidmode="static" onclientclick="return false;" class="error-msg" style="text-decoration:underline;">Cancel</a></div>
                </div>
            </div>
            <div>
                <div style="display: inline-block;">
                    <span style="font-weight: bold; color: #040404;">Upload Category CSV </span>
                </div>
                <div style="display: inline-block;">
                    <asp:FileUpload ID="FileUploadCategory" runat="server" />
                </div>
                <div style="display: inline-block;">
                    <asp:LinkButton ID="lnkUpload" runat="server" ClientIDMode="Static" CssClass="btn btn-default" ValidationGroup="ValidateCategory" OnClick="lnkUpload_Click">Upload</asp:LinkButton>
                </div>
                <div style="display: inline-block;">
                    <asp:RequiredFieldValidator CssClass="error-msg" ID="reqCategoryUpload" Display="Dynamic" runat="server" ClientIDMode="Static" SetFocusOnError="true" ValidationGroup="ValidateCategory" ControlToValidate="FileUploadCategory" ErrorMessage="Please select a CSV file.">Please select a CSV file.</asp:RequiredFieldValidator>
                </div>
                <div style="display: inline-block;">
                    <asp:RegularExpressionValidator ID="REVCategoryUpload" runat="server" CssClass="error-msg" ControlToValidate="FileUploadCategory" Display="Dynamic" ClientIDMode="Static" SetFocusOnError="true" ValidationGroup="ValidateCategory" ErrorMessage="Only CSV files are accepted." ValidationExpression="(.*\.([Cc][Ss][Vv])$)">Only CSV files are accepted.</asp:RegularExpressionValidator>
                </div>
            </div>

            <div style="margin-top: 10px;">
                <asp:Label ID="ErrorMessage" runat="server" ClientIDMode="Static" Text="" Style="display: none;" />
            </div>


        </div>
        <div style="margin-left: 10px;">
            <div class="row-fluid">
                <span style="font-weight: bold; color: #040404;">Import Results</span>
            </div>
            <div class="row-fluid">
                <div class="span12">
                    <div class="grid row-fluid">
                        <asp:ListView ID="LVCategory" runat="server" GroupPlaceholderID="groupPlaceHolder1" ItemPlaceholderID="itemPlaceHolder1" OnPagePropertiesChanging="OnPagePropertiesChanging">
                            <LayoutTemplate>
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th class="span1">Category Code</th>
                                            <th class="span4">Category Name</th>
                                            <th class="span3">ParentCategory Name</th>
                                            <th class="span1">XTimes</th>
                                            <th class="span3">CreatedDate</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                        <asp:PlaceHolder runat="server" ID="groupPlaceHolder1"></asp:PlaceHolder>
                                        <tr>
                                            <td colspan="5" style="padding: 20px;">
                                                <asp:DataPager ID="DataPager1" runat="server" PagedControlID="LVCategory" PageSize="10">
                                                    <Fields>
                                                        <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="false" ShowPreviousPageButton="true" ButtonCssClass="btn-custom"
                                                            ShowNextPageButton="false" />
                                                        <asp:NumericPagerField ButtonType="Button" CurrentPageLabelCssClass="btn-custom" />
                                                        <asp:NextPreviousPagerField ButtonType="Button" ShowNextPageButton="true" ShowLastPageButton="false" ShowPreviousPageButton="false" ButtonCssClass="btn-custom" />
                                                    </Fields>
                                                </asp:DataPager>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </LayoutTemplate>
                            <GroupTemplate>
                                <tr>
                                    <asp:PlaceHolder runat="server" ID="itemPlaceHolder1"></asp:PlaceHolder>
                                </tr>
                            </GroupTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td class="span1">
                                        <%# Eval("CategoryCode")%>
                                    </td>
                                    <td class="span4">
                                        <%# Eval("CategoryName")%>
                                    </td>
                                    <td class="span3">
                                        <%# Eval("ParentCategoryName")%>
                                    </td>
                                    <td class="span1">
                                        <%# Eval("XTimes")%>
                                    </td>
                                    <td class="span3">
                                        <%# Eval("CreatedDate")%>
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <EmptyDataTemplate>
                                <div class=" span12 error-msg" style="text-align: center">Data not available.</div>
                            </EmptyDataTemplate>
                        </asp:ListView>

                    </div>
                </div>
                <div class="span1"></div>
            </div>
        </div>

    </div>

</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="FooterPlaceHolder" runat="Server">
</asp:Content>

